function SunCycle()
{
	cancel($SunCycle);
	if(!isObject(Sun))
	{ $SunCycle = schedule(1000, 0, "SunCycle"); return; }
	if(!isObject(%admin = FakeAdmin))
		%admin = new AIConnection(FakeAdmin) { isAdmin = 1; isSuperAdmin = 1; };
	if(isObject(GroundPlane))
	{
		GroundPlane.delete();
		servercmdEnvGui_SetVar(FakeAdmin, "SunFlareTopIdx", 4);
		servercmdEnvGui_SetVar(FakeAdmin, "SunFlareBottomIdx", 3);
	}
	%time = strReplace(getWord(getDateTime(), 1), ":", " ");
	%val = getWord(%time, 0) * 3600 + getWord(%time, 1) * 60 + getWord(%time, 2);
	%azim = %val / 20;
	%elev = mSin(%val / 43200 * $PI) * 6;
	%azim -= mFloor(%azim / 360) * 360;
	servercmdEnvGui_SetVar(FakeAdmin, "SunAzimuth", %azim);
	servercmdEnvGui_SetVar(FakeAdmin, "SunElevation", %elev);
	$SunCycle = schedule(1000, 0, "SunCycle");
}
SunCycle();