datablock particleData(RSMJetParticle)
{
	dragCoefficient = 0;
	gravityCoefficient = 0;
	inheritedVelFactor = 0;
	constantAcceleration = 0;
	lifetimeMS = 100;
	lifetimeVarianceMS = 0;
	spinSpeed = 0;
	spinRandomMin = 0;
	spinRandomMax = 0;
	textureName = "base/data/particles/cloud";
	colors[0] = "1 1 1 0.1";
	sizes[0] = 0.1;
	times[0] = 0;
	colors[1] = "1 1 1 0";
	sizes[1] = 0;
	times[1] = 1;
	useInvAlpha = false;
};

datablock particleEmitterData(RSMJetExplosionEmitter)
{
	ejectionPeriodMS = 2;
	periodVarianceMS = 0;
	ejectionVelocity = 1.0;
	velocityVariance = 0.2;
	ejectionOffset = 0.0;
	thetaMin = 0;
	thetaMax = 90;
	lphiReferenceVel = 0;
	lphiVariance = 360;
	overrideAdvance = false;
	particles = "RSMJetParticle";
};

datablock explosionData(RSMJetExplosion)
{
	lifetimeMS = 1;
	particleEmitter = RSMJetExplosionEmitter;
	particleDensity = 0;
	particleRadius = 1;
	shakeCamera = false;
	camShakeFreq = "0.0 0.0 0.0";
	camShakeAmp = "0.0 0.0 0.0";
	camShakeDuration = 0.0;
	camShakeRadius = 0.0;
	camShakeFalloff = 0.0;
	explosionScale = "1 1 1";
	damageRadius = 0;
	radiusDamage = 0;
	impulseForce = 0;
};

datablock particleEmitterData(RSMJetEmitter)
{
	ejectionPeriodMS = 2;
	periodVarianceMS = 0;
	ejectionVelocity = 0.0;
	velocityVariance = 0.0;
	ejectionOffset = 0.0;
	thetaMin = 0;
	thetaMax = 90;
	lphiReferenceVel = 0;
	lphiVariance = 360;
	overrideAdvance = false;
	particles = "RSMJetParticle";
};

datablock projectileData(RSMJetProjectile)
{
	directDamage = 0;
	explosion = RSMJetExplosion;
	particleEmitter = RSMJetEmitter;
	uiName = "";
	lifetime = 1000;
	muzzleVelocity = 0;
	collideWithPlayers = 0;
};
