if($RSM_CommitRevision $= "")
	$RSM_CommitRevision = 0;

function change(%text)
{
	%count = -1+$RSM_CommitCount[$RSM_CommitRevision]++;
	$RSM_Commit[$RSM_CommitRevision, %count] = %text;
	export("$RSM_Commit*", "config/server/RSM Commits.cs");
}

function commit(%speciesUpdate)
{
	%timestamp = getDateTime();
	%index = -1+$RSM_CommitRevision++;
	$RSM_CommitTimestamp[%index] = %timestamp;
	export("$RSM_Commit*", "config/server/RSM Commits.cs");
	messageAll('MsgAdminForce', "\c6Revision "@%index+1@" - "@%timestamp);
	%count = $RSM_CommitCount[%index];
	for(%i=0;%i<%count;%i++) messageAll('', "\c6   "@$RSM_Commit[%index, %i]);
	if(%speciesUpdate) $Pref::Server::SpeciesUpdate = getDateTime();
	exec("Add-Ons/Gamemode_Space_Mod/Main.cs");
}

function servercmdHistory(%cl, %revision)
{
	if(%revision $= "") %revision = $RSM_CommitRevision;
	%revision = getMin(%revision, $RSM_CommitRevision);
	for(%index=getMax(%revision-5,0);%index<%revision;%index++)
	{
		%cl.chatMessage("\c6Revision "@%index+1@" - "@$RSM_CommitTimestamp[%index]);
		%count = $RSM_CommitCount[%index];
		for(%i=0;%i<%count;%i++) %cl.chatMessage("\c6   "@$RSM_Commit[%index, %i]);
	}
}

if(isFile("config/server/RSM Commits.cs"))
	exec("config/server/RSM Commits.cs");