if($RSM::InteractToken $= "")
	$RSM::InteractToken = "!!!!";
function RSM_InteractToken()
{
	%tokenMap = "!\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_abcdefghijklmnopqrstuvwxyz{|}";
	%token = $RSM::InteractToken;
	for(%i=0;%i<4;%i++)
		%val[%i] = strPos(%tokenMap, getSubStr($RSM::InteractToken, %i, 1));
	%val3++;
	if(%val3 >= 92)
	{
		%val3 %= 92;
		%val2++;
	}
	if(%val2 >= 92)
	{
		%val2 %= 92;
		%val1++;
	}
	if(%val1 >= 92)
	{
		%val1 %= 92;
		%val0++;
	}
	if(%val0 >= 92)
		%val0 %= 92;
	for(%i=0;%i<4;%i++)
		%next = %next@getSubStr(%tokenMap, %val[%i], 1);
	$RSM::InteractToken = %next;
	return %token;
}

function servercmdRSM_Interact(%cl, %token)
{
	if(!isObject(%pl = %cl.player)) return;
	if(!isObject(%obj = %pl.interactWith)) return;
	if(strCmp(%pl.interactToken, %token) != 0) return;
	if(%obj.getType() & $Typemasks::fxBrickAlwaysObjectType)
	{
		%dbName = %obj.getDatablock().getName();
		if(%dbName $= "brickFabricatorData")
			%obj.useFabricator(%pl);
		else if(%dbName $= "brickFabricatorCoverData" && %hit.mainFabber != %pl.interactWith)
			%obj.useFabricator(%pl);
		else if(%dbName $= "brickStasisPodData")
		{
			
		}
		else if(%dbName $= "brickStationCoreData")
		{
			if(isEventPending(%cl.interactCoreSched)) return;
			if(!getRandom(0, 99))
			{
				%cl.chatMessage("\c6To your great surprise, "@%obj.stationName@" Core interacts with you.");
				%cl.interactCoreSched = %cl.schedule(3000, "chatMessage", "\c6This is a disturbing turn of events.");
			}
			else
			{
				%cl.chatMessage("\c6You interact with "@%obj.stationName@" Core.");
				%msg[-1+%msgs++] = "Unsurprisingly, nothing happens.";
				%msg[-1+%msgs++] = "Weirdo.";
				%msg[-1+%msgs++] = "The Core's lights flash a couple times.";
				if(%cl.brickgroup.getID() != %obj.getGroup().getID())
					%msg[-1+%msgs++] = %obj.getGroup().name@" comes along and tells you to stop that.";
				%cl.interactCoreSched = %cl.schedule(3000, "chatMessage", "\c6"@%msg[getRandom(0, %msgs-1)]);
			}
		}
	}
}