function servercmdReown(%cl, %blid)
{
	if(!%cl.isSuperAdmin || !isObject(%pl = %cl.player)) return;
	%eye = %pl.getEyePoint(); %dir = %pl.getEyeVector();
	%ray = containerRaycast(%eye, vectorAdd(%eye, vectorScale(%dir, 20)), $Typemasks::fxBrickAlwaysObjectType);
	if(isObject(%brick = firstWord(%ray)))
	{
		(%search = new SimSet()).add(%brick);
		(%found = new SimSet()).add(%brick);
		while(%search.getCount() != 0)
		{
			%brick = %search.getObject(0);
			for(%i=0;%i<%brick.getNumUpBricks();%i++)
			{
				%test = %brick.getUpBrick(%i);
				if(%found.isMember(%test)) continue;
				%search.add(%test); %found.add(%test);
			}
			for(%i=0;%i<%brick.getNumDownBricks();%i++)
			{
				%test = %brick.getDownBrick(%i);
				if(%found.isMember(%test)) continue;
				%search.add(%test); %found.add(%test);
			}
			%search.remove(%brick);
		}
		if(isObject("Brickgroup_"@%blid)) %group = ("Brickgroup_"@%blid).getID();
		else
		{
			(%group = new SimGroup(){bl_id=%blid;}).setName("Brickgroup_"@%blid);
			MainBrickgroup.add(%group);
		}
		%count = %found.getCount();
		for(%i=0;%i<%count;%i++)
			%group.add(%found.getObject(%i));
		messageAll('MsgAdminForce', "\c3"@%cl.name@"\c2 changed ownership for \c3"@%count@"\c2 bricks.");
	}
}

function servercmdClearBuild(%cl)
{
	if(!%cl.isSuperAdmin || !isObject(%pl = %cl.player)) return;
	%eye = %pl.getEyePoint(); %dir = %pl.getEyeVector();
	%ray = containerRaycast(%eye, vectorAdd(%eye, vectorScale(%dir, 20)), $Typemasks::fxBrickAlwaysObjectType);
	if(isObject(%brick = firstWord(%ray)))
	{
		(%search = new SimSet()).add(%brick);
		(%found = new SimSet()).add(%brick);
		while(%search.getCount() != 0)
		{
			%brick = %search.getObject(0);
			for(%i=0;%i<%brick.getNumUpBricks();%i++)
			{
				%test = %brick.getUpBrick(%i);
				if(%found.isMember(%test)) continue;
				%search.add(%test); %found.add(%test);
			}
			for(%i=0;%i<%brick.getNumDownBricks();%i++)
			{
				%test = %brick.getDownBrick(%i);
				if(%found.isMember(%test)) continue;
				%search.add(%test); %found.add(%test);
			}
			%search.remove(%brick);
		}
		%count = %found.getCount();
		for(%i=%count-1;%i>=0;%i--) %found.getObject(%i).delete();
		messageAll('MsgAdminForce', "\c3"@%cl.name@"\c2 destroyed \c3"@%count@"\c2 bricks.");
	}
}