if($GamemodeArg !$= "Add-Ons/Gamemode_Space_Mod/Gamemode.txt")
{ error("Error: Realistic Space Mod [Gamemode_Space_Mod] cannot be used in custom games."); return; }
if(!$Server::Dedicated)
{ error("Error: Realistic Space Mod [Gamemode_Space_Mod] is meant for use with dedicated servers."); return; }

function RSM_AppendModGroup(%pattern)
{
	%read = new FileObject();
	for(%file = findFirstFile(%pattern); isFile(%file); %file = findNextFile(%pattern))
	{
		%folder = filePath(%file);
		if(!isFile(%folder@"/Description.txt")) continue;
		%addon = fileBase(%folder);
		if($AddOn__[%addon] != 1) continue;
		if(isFile(%folder@"/Namecheck.txt"))
		{
			%read.openForRead(%folder@"/Namecheck.txt");
			%check = %read.readLine(); %read.close();
			if(%check !$= %addon) continue;
		}
		$Gamemode::AddOn[-1+$Gamemode::AddOnCount++] = %addon;
	}
	%read.delete();
}
RSM_AppendModGroup("Add-Ons/Brick_*/Server.cs");
RSM_AppendModGroup("Add-Ons/Print_*/Server.cs");
RSM_AppendModGroup("Add-Ons/Light_*/Server.cs");

exec("./Main.cs");