package RSM_Sounds
{
	function fxDtsBrick::playSound(%brick, %sound)
	{ serverPlay3DSpace(%sound, %brick.getPosition()); }
};
activatePackage("RSM_Sounds");

function serverPlay3DSpace(%sound, %pos)
{
	if(!isObject(%sound)) return;
	if(isObject(StationCores))
	{
		%cores = StationCores.getCount();
		for(%i=0;%i<%cores;%i++)
		{
			%core = StationCores.getObject(%i);
			if(vectorDist(%pos, %core.getPosition()) <= 100 &&
					%core.getGasPressure(%pos, 0) >= 2)
			{
				%count = ClientGroup.getCount();
				for(%j=0;%j<%count;%j++)
				{
					%cl = ClientGroup.getObject(%j);
					if(!isObject(%pl = %cl.player)) continue;
					if(vectorDist(%pl.getHackPosition(), %core.getPosition()) <= 100 &&
							%core.getGasPressure(%pl.getEyePoint(), 0) >= 2)
						%cl.play3D(%sound, %pos);
				}
			}
		}
	}
}

datablock AudioProfile(SpaceBrickPlantSound)
{
	filename = "base/data/sound/clickPlant.wav";
	description = AudioClose3D; preload = 1;
};
BrickPlantSound.fileName = "";

datablock AudioProfile(SpaceBrickShiftSound)
{
	filename = "base/data/sound/clickShift.wav";
	description = AudioClose3D; preload = 1;
};
BrickShiftSound.fileName = "";

datablock AudioProfile(SpaceBrickRotateSound)
{
	filename = "base/data/sound/clickRotate.wav";
	description = AudioClose3D; preload = 1;
};
BrickRotateSound.fileName = "";