function WheeledVehicleData::onAdd(%data, %obj)
{
	%obj.RSM_GravLoop(getSimTime());
	Parent::onAdd(%data, %obj);
}

function FlyingVehicleData::onAdd(%data, %obj)
{
	%obj.RSM_GravLoop(getSimTime());
	Parent::onAdd(%data, %obj);
}

function WheeledVehicle::RSM_GravLoop(%obj, %last)
{
	cancel(%obj.RSM_GravLoop);
	%time = vectorDist(%last, %now = getSimTime()) / 1000;
	%obj.setVelocity(vectorAdd(%obj.getVelocity(), vectorScale("0 0 20", getMin(%time, 500))));
	%obj.RSM_GravLoop = %obj.schedule(16, "RSM_GravLoop", %now);
}

function FlyingVehicle::RSM_GravLoop(%obj, %last)
{
	cancel(%obj.RSM_GravLoop);
	%time = vectorDist(%last, %now = getSimTime()) / 1000;
	%obj.setVelocity(vectorAdd(%obj.getVelocity(), vectorScale("0 0 20", getMin(%time, 500))));
	%obj.RSM_GravLoop = %obj.schedule(16, "RSM_GravLoop", %now);
}